Skip to main content
`Ctrl`+`K`

# DMShellGetCreateInjection

Get the routine used to create the injection operator

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetCreateInjection(DM dm, PetscErrorCode (**inject)(DM, DM, Mat *))

Logically Collective

## Input Parameter

- dm - the `DMSHELL`

## Output Parameter

- inject - the routine to create the injection

## See Also

`DM`, `DMSHELL`, `DMShellGetCreateInterpolation()`, `DMCreateInjection()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages